Patch mdr-threat¶
PATCH/
Firewall Management API · Firewall Config
Patch mdr-threat-feed for given firewall.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
firewallId | path | string (uuid) | Yes | Firewall ID. |
Request body¶
Content type: application/json
Request body fields
enabledbooleanIndicates if mdr-threat-feed is enabled.
actionstringThreat-feeds action status.
Must be one of:
Must be one of:
logOnly, logAndDrop.lastUpdatedAtstring (date-time)Request samples¶
curl -X PATCH "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/settings" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"enabled\": true,
\"action\": \"logOnly\",
\"lastUpdatedAt\": \"2026-07-28T00:00:00Z\"
}"
import requests
response = requests.patch(
"https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/settings",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={'enabled': True, 'action': 'logOnly', 'lastUpdatedAt': '2026-07-28T00:00:00Z'},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"enabled": true,
"action": "logOnly",
"lastUpdatedAt": "2026-07-28T00:00:00Z"
}'
Invoke-RestMethod -Method PATCH -Uri "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/settings" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("PATCH", "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/settings", strings.NewReader(`{
"enabled": true,
"action": "logOnly",
"lastUpdatedAt": "2026-07-28T00:00:00Z"
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/settings", {
method: "PATCH",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"enabled": true,
"action": "logOnly",
"lastUpdatedAt": "2026-07-28T00:00:00Z"
}),
});
const data = await response.json();
console.log(data);
Responses¶
202 — Request accepted.¶
Response fields
transactionIdstring (uuid)requiredErrors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
401 | Authentication required. |
403 | Authorization required. |
404 | Resource not found. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.